%define anolis_release 1
%global pypi_name easyrobust
%global pypi_version 0.2.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Alibaba EasyRobust Toolkit

License:        Apache-2.0
URL:            https://github.com/alibaba/easyrobust
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(einops)
BuildRequires:  python3dist(ftfy)
BuildRequires:  python3dist(opt-einsum)
BuildRequires:  python3dist(regex)
BuildRequires:  python3dist(timm) >= 0.5.4
BuildRequires:  python3dist(torch) >= 1.8
BuildRequires:  python3dist(torchvision) >= 0.9
BuildRequires:  python3dist(tqdm)

%description
EasyRobust: an Easy-to-use library for state-of-the-art Robust Computer Vision Research with PyTorch.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(einops)
Requires:       python3dist(ftfy)
Requires:       python3dist(opt-einsum)
Requires:       python3dist(regex)
Requires:       python3dist(timm) >= 0.5.4
Requires:       python3dist(torch) >= 1.8
Requires:       python3dist(torchvision) >= 0.9
Requires:       python3dist(tqdm)
%description -n python3-%{pypi_name}
EasyRobust: an Easy-to-use library for state-of-the-art Robust Computer Vision Research with PyTorch. 


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
sed -i '/timm/d' requirements/build.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.2.4-1
- Initial package.
